Package com.enonic.xp.attachment

## Class CreateAttachment

- java.lang.Object
- - com.enonic.xp.attachment.CreateAttachment

-     @PublicApi
      public final class CreateAttachment
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `CreateAttachment.Builder` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CreateAttachment.Builder` | `create()` |
    `static CreateAttachment.Builder` | `create​(CreateAttachment source)` |
    `boolean` | `equals​(Object o)` |
    `BinaryReference` | `getBinaryReference()` |
    `ByteSource` | `getByteSource()` |
    `String` | `getExtension()` |
    `String` | `getLabel()` |
    `String` | `getMimeType()` |
    `String` | `getName()` |
    `String` | `getNameWithoutExtension()` |
    `String` | `getTextContent()` |
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getName

          public String getName()

    - #### getNameWithoutExtension

          public String getNameWithoutExtension()

    - #### getExtension

          public String getExtension()

    - #### getLabel

          public String getLabel()

    - #### getMimeType

          public String getMimeType()

    - #### getByteSource

          public ByteSource getByteSource()

    - #### getBinaryReference

          public BinaryReference getBinaryReference()

    - #### getTextContent

          public String getTextContent()

    - #### create

          public static CreateAttachment.Builder create()

    - #### create

          public static CreateAttachment.Builder create​(CreateAttachment source)

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`